<?php get_header(); ?>
<div id="content" style="width:900px;">

<?php if (have_posts()) : ?>

		 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">Archive for the &#8216;<?php echo single_cat_title(); ?>&#8217; Category</h2>

 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>

	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>

	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Author Archive</h2>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Blog Archives</h2>

		<?php } ?>



<?php while (have_posts()) : the_post(); ?>
		
<div class="post boxshadow" id="post-<?php the_ID(); ?>">

<div class="leftbox">
<a href="<?php the_permalink() ?>">
<?php
if ( has_post_thumbnail() ) { ?>
	<img class="postimg" src="<?php bloginfo('stylesheet_directory'); ?>/timthumb.php?src=<?php get_image_url(); ?>&amp;h=300&amp;w=550&amp;zc=1" alt=""/>
<?php } else { ?>
	<img class="postimg" src="<?php bloginfo('template_directory'); ?>/images/dummy.png" alt="" />
<?php } ?>
</a>
	<div class="boxmeta">
	Posted by <?php the_author(); ?> on <?php the_time('M - j - Y'); ?> with <?php comments_popup_link('0 Comment', '1 Comment', '% Comments'); ?>			
	</div>	
</div>
<div class="rightbox">
<div class="title">
	<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php echo short_title('...', 7); ?></a></h2>
</div>
<div class="entry">
<?php wpe_excerpt('wpe_excerptlength_index', 'wpe_excerptmore'); ?>
<div class="clear"></div>
</div>
<div class="cats">
	<span class="categorys"> <?php the_category(' '); ?> </span>
</div>
</div>
<div class="clear"></div>
</div>

<?php endwhile; ?>

<?php getpagenavi(); ?>

<?php else : ?>

		<h1 class="title">Not Found</h1>
		<p>Sorry, but you are looking for something that isn't here.</p>

	<?php endif; ?>
<div class="clear"></div>

</div>

<?php get_footer(); ?>